Bug 682102 - Crash When I Click on "Geography" Button
Summary: Crash When I Click on "Geography" Button
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gramps
Version: 15
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jeffrey C. Ollie
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-03-04 06:31 UTC by David Le Sage
Modified: 2011-05-13 23:15 UTC (History)
2 users (show)

Fixed In Version: gramps-3.2.6-1.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-05-09 03:58:25 UTC


Attachments (Terms of Use)

Description David Le Sage 2011-03-04 06:31:09 UTC
Description of problem:
If you click on the "Geography" button in the sidebar, an exception is generated.

Version-Release number of selected component (if applicable):
gramps-3.2.5-3.fc15.noarch

How reproducible:
Every time.

Steps to Reproduce:
1. Launch Gramps under GNOME 3.
2. Click on the Geography button.

  
Actual results:
Exception.

Expected results:
Should work without error.

Additional info:
Here is the backtrace:


User Information: 
===================

Clicked on the Geography button.


Error Details: 
===================

555: WARNING: Spell.py: line 66: Spelling checker is not installed592978: ERROR: gramps.py: line 138: Unhandled exception
Traceback (most recent call last):
  File "/usr/share/gramps/gui/viewmanager.py", line 1146, in change_category
    self.__do_change_category(num)
  File "/usr/share/gramps/gui/viewmanager.py", line 1159, in __do_change_category
    self.__change_view(num)
  File "/usr/share/gramps/gui/viewmanager.py", line 1193, in __change_view
    self.__connect_active_page(category_page, view_page)
  File "/usr/share/gramps/gui/viewmanager.py", line 1111, in __connect_active_page
    for grp in self.active_page.get_actions():
  File "/usr/share/gramps/gui/views/pageview.py", line 327, in get_actions
    self.__build_action_group()
  File "/usr/share/gramps/gui/views/pageview.py", line 274, in __build_action_group
    self.action_group = gtk.ActionGroup(self.title)
TypeError: could not convert parameter 'name' of type 'gchararray'


System Information: 
===================

Python version: 2.7.1 (r271:86832, Feb  9 2011, 17:56:14) [GCC 4.6.0 20110205 (Red Hat 4.6.0-0.6)] 
BSDDB version: 4.8.4.1 (4, 8, 30) 
Gramps version: 3.2.5-1 
LANG: en_US.utf8
OS: Linux
Distribution: 2.6.38-0.rc6.git4.1.fc15.x86_64

GTK version    : (2, 24, 1)
pygtk version  : (2, 22, 0)
gobject version: (2, 27, 91)
cairo version  : (1, 8, 8)

Comment 1 Fedora Update System 2011-05-02 18:41:56 UTC
gramps-3.2.6-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/gramps-3.2.6-1.fc15

Comment 2 Fedora Update System 2011-05-02 18:47:02 UTC
gramps-3.2.6-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/gramps-3.2.6-1.fc14

Comment 3 Fedora Update System 2011-05-02 18:54:51 UTC
gramps-3.2.6-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/gramps-3.2.6-1.fc13

Comment 4 Fedora Update System 2011-05-03 04:27:10 UTC
Package gramps-3.2.6-1.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing gramps-3.2.6-1.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/gramps-3.2.6-1.fc15
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2011-05-09 03:58:05 UTC
gramps-3.2.6-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2011-05-13 23:03:16 UTC
gramps-3.2.6-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2011-05-13 23:15:30 UTC
gramps-3.2.6-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.